Home  |  Message Board  |  Fan Pics  |  Fan Polls  |  RSS Feed  |  Top of Thread  |  Login  |  Register
Display By:
Home  |  Message Board  |  Top of Thread  |  Login  |  Register
Display By:

Previous Thread   |  Top Of Board  |  Start New Thread  |   Next Thread
Heam44 Posted on 02/12/2019 19:28
Ruiz v AJ predictions?
 
Iím going AJ.

Not entirely convinced though.

Give as much insight into your opinion as youíd like to but a prediction must be made.
IP: Logged
Heam44 Posted on 02/12/2019 21:23

Ruiz v AJ predictions?
Anyone?
IP: Logged
Nero Posted on 02/12/2019 21:31

Ruiz v AJ predictions?
Joshua got caught with a lucky punch that scrambled his senses last time. That said, Ruiz's hand speed was causing lots of trouble.

Hopefully Joshua has worked more on his boxing and controls the distance with his jab. He has to start boxing behind it. Do that and he wins.

It could be a controlled points win or Joshua could destroy Ruiz like Lewis did to Rahman 20 years ago.
IP: Logged
EpiphanyProudfoot Posted on 02/12/2019 21:33
Edited On: 02/12/2019 21:34
Ruiz v AJ predictions?
Av been watching Ruiz training and doing pad work. His combo work is fast and he seems to have lost some timber. Despite his 3rd round knock down he can take a bop on the chin and counters well. AJ will have to avoid the clubbing head shots as Ruiz will try and lure AJ into a toe to toe trade.

Aside from this AJ can use his reach advantage and box from centre ringmaster. He landed a few right handers a slicker fighter would have seen coming a mile back. It wont be pretty, but AJ can win his title back.
IP: Logged
WeeGord Posted on 02/12/2019 21:35

Ruiz v AJ predictions?
I think the pressure on him is huge. Had he lost to Wilder or Fury I don't think it would have been anywhere near as bad. However, as he was beaten by the unheralded Ruiz that pressure is intensified and he knows Ruiz can hurt him.

He's looking a lot slimmer so I think he is going to be trying to move a bit more fluidly and hopefully increase his stamina by losing some of that bulk.

If he has to come through a storm I'm not sure that he is mentally capable of it. That said, I still think he will win and catch Ruiz in the first 4 or 5.
IP: Logged
hamstercheeks Posted on 02/12/2019 21:42

Ruiz v AJ predictions?
I'm leaning towards Ruiz again, I think his style is just all wrong for Joshua.

His footwork and movement is better than Joshua's and if you watch the first fight Ruiz was controlling the ring from the first round.

Joshua's best chance is to jab and grab like Klitschko used to do but again Joshua's footwork is nowhere near what Wlad's used to be.

At some point Ruiz is going to put it on Joshua again and I'm not sure whether he has the ability or ring IQ to fight effectively when he's being pushed backwards.

Of course its heavyweight boxing and a big shot can probably end for either man.

It's very interesting because we don't know if something happened with AJ in the build up to the first fight. If he wasn't 100% then that may explain why he looked so poor. If that's the case then maybe he'll win convincingly. The other side of that is whether he's just found his kryptonite in Ruiz which I think might be more likely.

I wouldn't like to bet my life savings on it though.
IP: Logged
The_Buzzard Posted on 02/12/2019 21:48

Ruiz v AJ predictions?
I think AJ thought it would be a walk in the park last time, and got caught out.

He we learn from that, and I think Ruiz could get hurt from the backlash. I think AJ will have him KO or TKO Iím the 2nd or 3rd.
IP: Logged
Cooper6711 Posted on 02/12/2019 21:49

Ruiz v AJ predictions?
He must be wishing miller never failed that drug test

I agree Ruiz is all wrong. Small and quick.. one lucky punch doesnít scramble you for rounds. Joshua was all over place until the stoppage. Heís like a robot, Ruiz will pounce on him hoping to avoid the jab
IP: Logged
Heam44 Posted on 02/12/2019 22:02

Ruiz v AJ predictions?
EP and Cooper,

So who you predicting?
IP: Logged
Cooper6711 Posted on 02/12/2019 22:06

Ruiz v AJ predictions?
If Ruiz can get in close and let his hands go same result

Joshua can win but will be at range.

Iíd actually go Ruiz but I think itís a coin toss
IP: Logged
bigrichardthe3rd Posted on 02/12/2019 22:06

Ruiz v AJ predictions?
Aj 3 rds [^]
IP: Logged
DoomOnHorseback Posted on 02/12/2019 22:14

Ruiz v AJ predictions?
Ruiz, 5th.
IP: Logged
GazC_MFC Posted on 02/12/2019 23:21

Ruiz v AJ predictions?
Iíd have to ruiz, but i also think itís a coin toss

Joshua stays hit when he gets hit, I canít see him keeping Ruiz at range the whole fight
IP: Logged
whatdoyoubench Posted on 02/12/2019 23:38

Ruiz v AJ predictions?
Ruiz for me.

I donít buy the lucky punch crap. He looked to have regained his senses at one point, maybe the 5th. Then next round he was absolutely gassed.

If anything the lucky punch was the one that put Ruiz on his back, in that it was Ruizís mistake rather than a great Joshua attack. Ruiz got sloppy and briefly stopped doing what he had done in the previous rounds. If he can stick to the plan I think he beats Joshua up again.

As someone said above the real mystery is if that was a true representation of Joshua or some incredibly depleted version, for whatever reason. If itís the latter then itís entirely possible he blasts him out. And I guess thatís why Iíll be paying the inflated box office fee!

Ruiz 7-9
IP: Logged
MBBoro Posted on 03/12/2019 05:51

Ruiz v AJ predictions?
I was really fancying Joshua but the interviews I've seenin the last 24 hours since hes been in Saudi look like hes been in some wars in sparring. Swelling on the bridge of his nose and what looks like 2 black eyes.

I worry about his punch resistance again, especially as his nose as previously caused him trouble in a few fights where he always looks really uncomfortable after.
IP: Logged
GazC_MFC Posted on 03/12/2019 06:29

Ruiz v AJ predictions?
If thatís true heís sparring close to the fight again....
IP: Logged
T1ffy Posted on 03/12/2019 06:47

Ruiz v AJ predictions?
AJ to blow him away in the early rounds
IP: Logged
BoroBerk Posted on 03/12/2019 07:03

Ruiz v AJ predictions?
Ruiz is a boxer. Fast hands, tough as old boots.
Made AJ look like Frank Bruno - stiff as a board and technically wanting. Also got Frank's chin.
Ruiz will be better prepared this time round also.
IP: Logged
Jonny_Rondos_Disco_pants Posted on 03/12/2019 08:09

Ruiz v AJ predictions?
Ruiz, might take him a couple of rounds longer this time

IP: Logged
the_gook_is_on_fire Posted on 03/12/2019 09:24

Ruiz v AJ predictions?
Ruiz will win again comfortably. He is a far better boxer than Joshua.
IP: Logged
EpiphanyProudfoot Posted on 03/12/2019 09:36

Ruiz v AJ predictions?
If he wins the old Wilder fight will he or wont he will start again.

Wilders management and Shelley Finkel have pretty much given up on fighting Joshua now.

Wilder seemed more interested in Fury and Ruiz last time he was interviewed.
IP: Logged
FatCat Posted on 03/12/2019 09:45

Ruiz v AJ predictions?
AJ to jo Ruiz round 5.

I donít buy the lucky punch story but I just think he wonít get caught this time.
IP: Logged
Vena Posted on 03/12/2019 09:48

Ruiz v AJ predictions?
I believe a boxer reverts to type when he has been buzzed and AJ has proved he likes a life n death shoot out when he has been tagged in the whyte Klitschko and povetkin fight he came out on top, the Ruiz fight he tried but could match the speed coming back and Ruiz has a top level chin.

If it gets into another shoot out Ruiz to win. AJ can work on footwork and head movement for the full 6 months if he gets hit hard in the fourth he's life or death again for 8 rounds.

Ruiz late if I had to put my cash on it. (unless there was something wrong with aj last time) if so AJ inside 4.
IP: Logged
brain_in_a_jar Posted on 03/12/2019 12:00

Ruiz v AJ predictions?
I'm going AJ. Ruiz fought really well first fight particularly when he went to the body when AJ was all over the place but I just think AJ is better than him.

I don't really have a problem with his face being marked up either, competitive sparring his what he's needed.

Although he doesn't sound overly confident in interviews, if he doesn't get the win this time around I'm not sure we'll see him fight again.
IP: Logged
supermfc Posted on 03/12/2019 12:15

Ruiz v AJ predictions?
" Wilders management and Shelley Finkel have pretty much given up on fighting Joshua now. "

Given up??? They didnt want it in the first place!!
IP: Logged
OneJobOnTeesside Posted on 03/12/2019 12:22

Ruiz v AJ predictions?
I think it's a coin toss right now from a betting perspective.

Agree with the above in that we don't really know if Joshua was depleted in some way or not. He did allude to something in a recent interview, he was then pushed further and the interviewer asked him if it was complacency and he quickly shut that down. The problem is if he comes out and says something, everyone will pounce on him as giving excuses. I guess we will have our answer come Saturday

Regardless of any of that. Joshua won the first 3 rounds last time and put the Ruiz on his @rse for the first time in his career. Surely the plan is to just pluck away in a similar manner. Joshua did that against parker but I don't think he will be able to boss Ruiz in the same manner, in fact I am worried about the opposite.

The thing that makes me worry the most is that Joshua is changing his approach (clearly dropped weight) to account for Ruiz. Ruiz is just doing what he always does, he is used to bigger guys. The other thing is maybe Ruiz is just better (he's only lost once to Parker and that was debatable).

It's an interesting fight!!

Whole day should be good. Boro match, Manchester derby late kick off then the boxing!
IP: Logged
Vena Posted on 03/12/2019 12:24

Ruiz v AJ predictions?
Trying to make a case for AJ, and other than the 'was he ill for the first fight?' is difficult.

What has he shown in previous fights that he didn't have in the first Ruiz fight? His timing? He was mostly off in June but did manage to time a few peaches that bounced of Ruiz where they had dropped most. Ruiz just has the speed and chin to mean AJ can't just wait for that 1 shot them admire his work.

If he wants to control the fight he has to stop Ruiz coming forward use the jab and hurt Ruiz every time he steps into range to make him think twice.
IP: Logged
expat_smoggie Posted on 03/12/2019 12:26

Ruiz v AJ predictions?
AJ wonít be that bad for a second time ó,letís face it AJ did a Lennox Lewis. I canít see anything but a knockout for AJ in this rematch. Iím going for a round 4 KO.
IP: Logged
SimonDavidWilliamson Posted on 03/12/2019 12:45

Ruiz v AJ predictions?
Ruiz has his number and will KO the stiff AJ out again
IP: Logged
GazC_MFC Posted on 03/12/2019 13:17

Ruiz v AJ predictions?
Aj didnít do a Lennox Lewis. He was on the floor multiple times and looked like he didnít want to be there. He was outclassed

Rahman got a lucky punch
IP: Logged
shamblesdefarm Posted on 03/12/2019 13:31

Ruiz v AJ predictions?
Ruiz by stopage in the 8th for me he's a tricky little fo0ker for AJ his style is a mare for Aj [B)]
IP: Logged
peter_beagrie_killed_my_cat Posted on 03/12/2019 13:45

Ruiz v AJ predictions?
The problem is I can't really remember a top level fighter who stays hit as for as long as Joshua does. If Ruiz catches him - which you've got to fancy as Joshua has one of the worst defences in boxing - then he'll revert to his usual response to pressure and start swinging.

From what I've seen Ruiz is the far better boxer.
IP: Logged
expat_smoggie Posted on 03/12/2019 14:42

Ruiz v AJ predictions?
Gazó the point I was trying to make lucky punch or not AJ failed ó the same way Lennox didó you could argue that after the Rahman fight Lennox tightened up and got a lot stronger ó Iím expecting AJ to do the same. This wonít be just a change of tactics for AJ itíll be a 360 in terms of tactics, prep and fighting philosophyó- otherwise he might as well sit down now.
IP: Logged
Ingleby_Flash Posted on 03/12/2019 15:15

Ruiz v AJ predictions?
My heart says AJ, my head, and if I was a betting man, says Ruiz, hits faster and harder and can take a clip or two.

BUT he's lost weight and therefore maybe a bit of sting from the punches, Joshua didn't look right last time. Tighter margin than the referendum, but I'm saying AJ on points in a right bruiser.
IP: Logged
brain_in_a_jar Posted on 03/12/2019 15:48

Ruiz v AJ predictions?
one of the worst defences in boxing?

have a word with yourself. I've questioned the hype around AJ and thought somebody like fury would box rings round him but to say he's got one of the worst defences in boxing is just wrong headed.

IP: Logged
Heam44 Posted on 03/12/2019 16:47

Ruiz v AJ predictions?
The main reason I think AJ will win the rematch is because I think something was wrong with him before the fight. Based mostly on what Fury said about coming into the fight cold (i.e not sweating as if he hadnít even done a warm up).
IP: Logged
Nero Posted on 03/12/2019 17:05

Ruiz v AJ predictions?
In the first fight Joshua was hit hard bang on the temple. Anyone who has been punched will tell you that is a nasty place to be hit. It was a fluke place to land but changed everything.

It actually reminded me of Lewis beating Razor Ruddock years ago. Once punch on the temple and Ruddock was gone. He managed to initially survive but the damage was done and he was stopped quickly next round.

I fully expect Joshua to use his natural height and reach better this time. Expect to see him use a powerful jab that wear down Ruiz.
IP: Logged
whatdoyoubench Posted on 03/12/2019 17:34

Ruiz v AJ predictions?
If you watch the fight back on YouTube and skip it to round 5 can you honestly say that AJ is dazed from some temple shot that happened in round 3?

Iíve watched it back many times now trying to decide how to bet this weekend and from round 5 until the last minute of round 6 he looks okay to me. Hes knackered but certainly with it. Ruiz hits him with two big body shots in the final minute of round 6 and the life drains out of him.

This mythical temple shot is a load of rubbish. I donít believe it scrambled his sense any more than getting hit on the button scrambles your senses when you have the punch resistance AJ has. Heís been buzzed in every fight heís had at world level pretty much.

I just hope it was a problem with his preparation or something and he can make the adjustments. Want him to get those belts back so fury can take them off him eventually!
IP: Logged
BreakTheWallsDown Posted on 03/12/2019 18:14

Ruiz v AJ predictions?
'Joshua got caught with a lucky punch that scrambled his senses last time'
[:D][:D][:D][:D]

Ruiz to knock out the stiff idiot in the 4th
IP: Logged
ThePiedPiper Posted on 03/12/2019 19:47

Ruiz v AJ predictions?
Nothing was wrong with Joshua in the first fight soo wouldnít use that as hope for a Joshua victory. Itís pretty simple. He hurt Ruiz and went in like a novice trying to finish the job. Had he just relaxed and boxed his way through the round heíd have had a 10/8 round and heís in the driving seat. As it happened he walent head hunting with sloppy punches, loaded to the max, and he got caught with a brain scrambler from which he never recovered. Joshua needs to avoid the body shots. Iím on the fence massively. If Iím honest I think Ruiz wins in the late rounds but Iíll be absolutely buzzing if Joshua pulls it off. Go on AJ lad
IP: Logged
Chisel Posted on 03/12/2019 19:52

Ruiz v AJ predictions?
Ruiz is the better all round boxer, AJ is a big physical specimen who can box but can't take punches as well as he should.
I feel it won't be as easy for Ruiz this time round.
Heart says AJ blast out early, head Ruiz 7-8th tko
IP: Logged
Boromart Posted on 03/12/2019 19:54

Ruiz v AJ predictions?
I really believe AJ will win. Ruiz is decent enough but he did get lucky. Until that punch on the top of AJs head, every single decent landed punch came from AJ. Even though looked nervous, too heavy, and fought the occasion not the opponent, he still landed plenty of heavy clean shots and put Ruiz on his XXXXXX.

The only reason Ruiz won was because AJ loaded up and tried to blow him out of the ring, missed and then got caught by a good punch.

Ruiz still has that boxers chance, he still has fast heavy hands, but I can't see AJ making the same mistake twice. He should take the centre of the ring, use his better footwork, keep Ruiz at range, and just box his face off for 5-6 rounds. By that time Ruiz will get frustrated and start to get a bit desperate trying to close the range, there was even elements of that in the first fight, this time AJ will catch Ruiz as he closes the distance.
IP: Logged
Heam44 Posted on 03/12/2019 20:08

Ruiz v AJ predictions?
ďNothing was wrong with Joshua in the first fightĒ

How do you know that PP?

Iím almost certain there was something wrong with him before the fight. Even Tyson Fury said it. AJ entered the ring without a sweat on obviously meaning he hadnít even done a warm up (or a minimal one at best). The only reason he would be entering the ring without sweating/doing a meaningful warm up is if something was wrong and they decided not to do it for whatever reason.
IP: Logged
elal1963 Posted on 04/12/2019 00:48

Ruiz v AJ predictions?
the fact is, this is a Montecarlo or bust for AJ.
some factors I consider will be going through his mind that make me think,
1 I put him down
2 need a big ego win
3 I do wobble when hit hard
4 im lighter so speed and stamina should be better than last time.
5 can I catch him cold as AR will expect me at distance.

AJ will go all out ko from rd 1 if it ain't done and dusted by the 3rd he will revert to jab and move hold tie him up, run and his confidence holds. AR is a hard nut with fast hand and the longer the fight goes on will catch once. i will bet upercut 1st rd AJ
IP: Logged
The_Right_Honourable_Member Posted on 04/12/2019 02:53

Ruiz v AJ predictions?
Fully concur with the Pied Piper here. There was nothing wrong with AJ in the first fight at all. He simply got beat and that's the only reason people are saying he wasn't right. Who knows what preparation has gone like for any boxer. If they step through the ropes they are ready to fight. What we do know as a fact is that Ruiz took the fight at short notice. If there was one of them not at 100% it was much more likely to be Ruiz.

The contest is indeed a tricky one to call. I like Ruiz both as a boxer and an easy-going type of guy. But I want AJ to bring the belts back so we'll hopefully see a series of big fights in the UK. I think he's capable of improving as well. The big question is what will his mental stength be like?

Obviously AJ's powers of recovery aren't great, but he managed to come through after being in serious trouble against Klitschko. He was also rocked by Povetkin and Dillian Whyte before stopping them both. He couldn't really be described as a sitting duck but has to be careful as if Ruiz lands heavy he's likely to keep on landing. AJ has to keep him at distance using his jab and rangey left hook. I can see him being very cautious with his right hand as it will give Ruiz the opportunity to counter him.

With regards to predictions, I can see AJ starting off very nervously. It wouldn't be a surprise if both men see the canvas again. At the odds I think I'd go Ruiz by stoppage. I think AJ will fight cautiously, but if he's too nervous, things could unravel late on for him.
IP: Logged
Nero Posted on 04/12/2019 07:32

Ruiz v AJ predictions?
Last night on Sky David Haye stated he knew for certain Joshua wasn't sparring normally before the first fight.

The BBC also reported Joshua's Dad berating Hearn in the ring after the fight. Why berate a Promoter after a defeat? Seems a bit strange to me.

The truth is nobody outside Joshua's immediate team will know for sure.
IP: Logged
Fabios_porkpie_provider Posted on 04/12/2019 07:50

Ruiz v AJ predictions?
I think AJ will make short work of things this time round. It will be a very one sided contest and AJ will win easily.
IP: Logged
Chappy112 Posted on 04/12/2019 08:12

Ruiz v AJ predictions?
No outcome would surprise me in this fight except maybe AJ by decision unless itís robbery. I donít believe in lucky punches, Ruiz was the better fighter in the first fight and I think he will win again although it should take longer because I donít think AJ will be as keen to trade on the inside this time. I think itíll be close until the midway point and then AJ will start tiring and taking more punishment.

Itís entirely possible that AJ drops him again early and finishes the job this time but my prediction is Ruiz between rounds 9-12.
IP: Logged
peter_beagrie_killed_my_cat Posted on 04/12/2019 10:57

Ruiz v AJ predictions?
"one of the worst defences in boxing?

have a word with yourself. I've questioned the hype around AJ and thought somebody like fury would box rings round him but to say he's got one of the worst defences in boxing is just wrong headed."

Aye that'll be the reason he's been tagged badly in every fight he's had that's gone beyond the third round then?

He fights like he's behind a fence - it's a kid's peek-a-boo defence. I don't think I've ever seen him slip a punch.

I've been involved with boxing since I was 5 years old.

Joshua has only been boxing since he was 18 and it shows. You'll find kids at Pally Park with better defensive technique than AJ unfortunately.
IP: Logged
Chappy112 Posted on 04/12/2019 11:33

Ruiz v AJ predictions?
I wouldn't say one of the worst defences in Boxing but it's definitely not good.
IP: Logged
brain_in_a_jar Posted on 04/12/2019 14:16

Ruiz v AJ predictions?
one of the worst in boxing though? we're talking an Olympic gold medallist here, and world champion. He hasn't got one of the worst in boxing. I'd actually say his is better than wilder's (granted not saying much).

You can't get to the level AJ has without having a half decent defense. I'm not saying its great, but its not one of the worst n boxing that just doesn't make any sense.

Well done on being involved since you were 5, although not sure what that has to do with owt.


IP: Logged
Chappy112 Posted on 04/12/2019 14:32

Ruiz v AJ predictions?
I'd say of the world level fighters it's pretty bad. His only form of defence is to keep his guard up, he has no head movement, he doesn't use his feet to get out of harms way and when he is hurt he reacts terribly to it. At one point in the Ruiz fight he even brought his left arm down by his side like he was Roy Jones or something jabbing from the waist, presumably because he was knackered.

I don't think he will ever learn good defence but he can definitely improve on lasting longer in fights and getting better survival skills just be learning how to tie an opponent up. If he can some how stay on the outside, avoid any trades and when Ruiz gets near him, tie him up and refuse to fight on the inside then it could be a relatively comfortable fight for him.

Just don't think he will do any of that. I reckon he will probably win the first 3-4 rounds, then Ruiz will get start getting to him with body shots until he falls apart because he's knackered and get stopped between 9-12.
IP: Logged
ThePiedPiper Posted on 04/12/2019 20:01

Ruiz v AJ predictions?
Not to be pedantic but he slipped a jab from Charles Martin and countered with a straight right hand that put Martin down.

I like that Joshua has lost some bulk. He will hopefully have a better motor because of it. Still think Ruiz stops him late though. His body shots are lethal.
IP: Logged
Chappy112 Posted on 04/12/2019 22:25

Ruiz v AJ predictions?
Charles. Martin.

Agree that losing weight is key for him, said it for year. Should help him stay away from Ruiz and have more stamina.
IP: Logged
Boromart Posted on 04/12/2019 23:01

Ruiz v AJ predictions?
"Aye that'll be the reason he's been tagged badly in every fight he's had that's gone beyond the third round then?"

7 fights that have gone beyond the 3rd, mostly against boxers that are or were in thr top 5. So by that rationale you might as well say when he fights against boxers in the top 5 he will get tagged at some point. But that can be said of almost all boxers can it not?

I mean look at Wilder. Most of his opponents have been outsdie the top 5 and have been skittled early. The ones in the top ten. Brezeale, Fury, and Ortiz twice. Other than Brezeale he was in trouble in all those fights
IP: Logged
borophilos Posted on 04/12/2019 23:48

Ruiz v AJ predictions?
is it just me i thunk the mexican has his number.
IP: Logged
Supermac Posted on 05/12/2019 16:22

Ruiz v AJ predictions?
I think AJ blows him away this time.

He was preparing for a completely different fighter in Miller last time and massively underestimated Ruiz.

He dazed Ruiz and misread how hurt he was and got caught himself.

I like the way he has kept Mckracken on but added Fernandez to his coaching team, Mkcraken hasn't been doing the padwork but watching so its clear handspeed and footwork are key to him.

AJ by referee stoppage after putting Ruiz down a few times early
IP: Logged
Chappy112 Posted on 06/12/2019 14:52

Ruiz v AJ predictions?
Those weights change a lot of things I thought about this fight. Don't know if Ruiz has purposely put on weight so that he can shove AJ around? But you'd have to imagine that he has been enjoying the money and fame a little too much there, the heaviest he has been in 10 years.

Then the other side you have AJ the lightest he has been in 5 years. Definitely a good look for him.

Definitely favour AJ now, Ruiz obviously still has a chance but AJ should be able to move better, Ruiz will be even slower on his feet, AJ should also have faster hands and better stamina.

Joshua by decision wouldn't surprise me anymore but I'll probably pick him to win by knockout between 6-9.
IP: Logged
ThePiedPiper Posted on 06/12/2019 14:58

Ruiz v AJ predictions?
Hope you are right mate. Canít wait to see Joshua at this weight. Itís been a long time.
IP: Logged
Chappy112 Posted on 06/12/2019 15:04

Ruiz v AJ predictions?
I just went back and watched the Legg and Bakhtov fights where he was the same weight he is now. Mad how much quicker both his hand and foot speed are. There is no way he won't be better off for it, especially against Ruiz where he will want to stay on the outside using his feet and straight shots.
IP: Logged
Supermac Posted on 06/12/2019 15:13

Ruiz v AJ predictions?
I have been really impressed with AJ all week. No blame and owned his loss

Biggest british ring can be is 20 ft, ring in Saudi is 22 ft. With the weights its quitter clear the plan for AJ is to move and bring euiz forwarfd
IP: Logged
ThePiedPiper Posted on 06/12/2019 15:21

Ruiz v AJ predictions?
I donít think boxing off the back foot all night will work. I think he needs to stop Ruiz coming forward by hurting him. The first 3 or 4 rounds are crucial. If Ruiz lands body shots like he did in the first fight he stops Joshua. Iím hoping to see Joshua use controlled aggression. Outwork Ruiz and take away his confidence. In and out of range with powerful combinations that make Ruiz think twice about stalking him. Itís too tight to call but watching Ruiz hit the pads heís lost none of his hand speed and heís superb at cutting off the ring. I still favour Ruizbut Iím praying for Joshua.
IP: Logged
Jostler Posted on 06/12/2019 15:30

Ruiz v AJ predictions?
Has anyone got any advice for watching this? I don't have sky, but do have a PS4 / Laptop if it's possible to stream.

I'd rather pay the fee to watch if possible.
IP: Logged
ThePiedPiper Posted on 06/12/2019 15:34

Ruiz v AJ predictions?
Yeah just go to sky sports box office, register and you can watch it online. Youíll need a hdmi cable to get it from the laptop to the tele.
IP: Logged
Jostler Posted on 06/12/2019 15:38

Ruiz v AJ predictions?
Cheers TPP.

Will switch the HDMI from PS4 to Laptop, should do it!

After the weigh in, I'm looking forward to the fight.

Ruiz as a person has grown on me the more I've heard him speak. Seems a fairly decent guy!

Still, I'm going Joshua in the 8th!
IP: Logged
Fuchs_ache Posted on 07/12/2019 00:14

Ruiz v AJ predictions?
The first fight AJ got caught with a left hook that he simply didnít recover from, that was the end of the fight for AJ right there, Ruiz is far quicker than he looks and is no mug, he will be up for it tonight, itís too close to call, but I donít think it will go 6 rounds.
IP: Logged
borophilos Posted on 07/12/2019 00:22

Ruiz v AJ predictions?
I thought Ruiz until the weigh in when he has piled on.

Now i think Joshua will sort it in 3.

I think Ruiz has decided that he has made his name and got the cash. fair play
IP: Logged
The_Right_Honourable_Member Posted on 07/12/2019 01:13

Ruiz v AJ predictions?
On balance, going a later rounds stoppage for Ruiz. But the first couple of rounds will reveal a lot. If Joshua has his hands up all the time he's going to gas out. Ruiz is not dangerous at distance and AJ doesn't need a tight guard. He needs his guard tight when he's closer in. Also, Ruiz will see what is coming much easier if AJ is throwing shots from a tight guard.
IP: Logged
Exiled_in_herford Posted on 07/12/2019 06:11

Ruiz v AJ predictions?
AJ to win by KO between 4-6 rounds.
IP: Logged
ThePiedPiper Posted on 07/12/2019 12:35

Ruiz v AJ predictions?
I think Ruiz is too durable to get put away early.
IP: Logged
The_Right_Honourable_Member Posted on 07/12/2019 15:49

Ruiz v AJ predictions?
Not sure of the logic behind those who are saying AJ will end this early. He's going to be much more cautious this time. Apart from that, Ruiz took AJ's heaviest shots and clobbered him back with a shot that effectively won the contest.
IP: Logged
SNICKERS Posted on 07/12/2019 15:52

Ruiz v AJ predictions?
Ruiz on his XXXXXX in the first,stopped in the second
IP: Logged
BillyMurphy Posted on 07/12/2019 21:04

Ruiz v AJ predictions?
Joshua for me [^]
IP: Logged
Block21 Posted on 07/12/2019 21:08

Ruiz v AJ predictions?
Come on AJ
IP: Logged
cambsred Posted on 07/12/2019 21:19

Ruiz v AJ predictions?
Any links/ streams?
IP: Logged
BigUnit Posted on 07/12/2019 21:22

Ruiz v AJ predictions?
AJ.
2nd round
IP: Logged
dooderooni Posted on 07/12/2019 21:26

Ruiz v AJ predictions?
Ruiz to throw a nine darter?

There's definitely some weight behind his punches [:D]
IP: Logged
dooderooni Posted on 07/12/2019 21:32
Edited On: 07/12/2019 21:43
Ruiz v AJ predictions?
Links below

Link: Link
IP: Logged
CardiffDaffs Posted on 07/12/2019 21:40

Ruiz v AJ predictions?
Link no good
IP: Logged
dooderooni Posted on 07/12/2019 21:44

Ruiz v AJ predictions?
Try it again, not sure what happened with it[ref][?]
IP: Logged
swordtrombonefish Posted on 07/12/2019 21:44

Ruiz v AJ predictions?
Try this - though I'd be careful - I've got it running in a one use VM as I don't trust any of these sites.

Link: Try
IP: Logged
GazC_MFC Posted on 07/12/2019 21:48

Ruiz v AJ predictions?
Aj fighting a great fight
IP: Logged
dooderooni Posted on 07/12/2019 21:51

Ruiz v AJ predictions?
Button it Gaz [:D]

Ruiz's best round there.
IP: Logged
whatdoyoubench Posted on 07/12/2019 22:07

Ruiz v AJ predictions?
Whatís next for AJ?
IP: Logged
dooderooni Posted on 07/12/2019 22:07

Ruiz v AJ predictions?
Very savvy boxing from AJ there. Should be unanimous.
IP: Logged
swordtrombonefish Posted on 07/12/2019 22:09

Ruiz v AJ predictions?
He looked much more fluid with the huge muscles off and more movement
IP: Logged
boroskel65 Posted on 07/12/2019 22:11

Ruiz v AJ predictions?
The man who beat Mo Farah over 100m returns.
IP: Logged
dooderooni Posted on 07/12/2019 22:11

Ruiz v AJ predictions?
Shows he's not just about the power. Should be proud that he's learned from adversity and added a new dimension to his game.
IP: Logged
Chappy112 Posted on 07/12/2019 22:12

Ruiz v AJ predictions?
Very good performance, pretty much how I thought it would go but without the KO. One man went away and worked on his weaknesses, the other man went away and ate a lot of food.

Ruiz wants to have a good look at himself after that, maybe he's happy with the money he earned but he's just tossed away a lot of big pay days. Gave himself absolutely no chance to win that fight coming in that heavy, while Joshua went and did everything he needed to improve as a fighter.

He was disciplined throughout, didn't look tired for a second due to losing all that muscle mass, was much lighter on his feet and had quicker hands than he has done for years.
IP: Logged
expat_smoggie Posted on 07/12/2019 22:13

Ruiz v AJ predictions?
I thought he might have knocked Ruiz out but AJ came out with a focused attitude this time ó granted it wasnít the most majestic of fights but AJ did a very pro job on a very underrated fighter in Ruiz.
IP: Logged
ThePiedPiper Posted on 07/12/2019 22:21

Ruiz v AJ predictions?
Get in there you absolute fŻckking beauty
IP: Logged
Chappy112 Posted on 07/12/2019 22:22

Ruiz v AJ predictions?
Someone have a word with Eddie Hearn the absolute embarrassment.
IP: Logged
ThePenguin Posted on 07/12/2019 22:29

Ruiz v AJ predictions?
"Someone have a word with Eddie Hearn the absolute embarrassment."

He's like a greasy used car salesman. I bet he stinks of Lynx Africa too.
IP: Logged
Boromart Posted on 07/12/2019 23:16

Ruiz v AJ predictions?
Other than Ruiz being too frightened to gamble and get desperate in the second half the fight, I pretty much got it spot on.

A few FMTTMers are looking a bit daft tonight, an absolute masterclass tonight from AJ
IP: Logged
The_Right_Honourable_Member Posted on 07/12/2019 23:29

Ruiz v AJ predictions?
Great performance by AJ and he fought the right fight. It will be interesting to see where he goes next.
IP: Logged
ThePiedPiper Posted on 08/12/2019 00:08

Ruiz v AJ predictions?
Why cringe over Hearn? He loves his fighters and heís passionate af. Get over it man.
IP: Logged
Jedi88 Posted on 08/12/2019 00:29

Ruiz v AJ predictions?
Jesus Christ people saying a master class from Aj. Use donít have a clue about boxing . Wait till fury boxes AJ then you will see a master class performance. That was pretty dire from AJ it was the same jab an then a one two from him .
IP: Logged
ThePiedPiper Posted on 08/12/2019 00:30

Ruiz v AJ predictions?
Clueless idiot alert
IP: Logged
LetsGoJoe Posted on 08/12/2019 01:01

Ruiz v AJ predictions?
"Use dont have a clue" haha, get yourself another Carling mate and have a sit down. Whopper.
IP: Logged
T1ffy Posted on 08/12/2019 06:49

Ruiz v AJ predictions?
Jedi88 have a day off mate [:o)]

Great performance from AJ, boxed his lugs off. Some people just can't accept how good he is, jealousy and all that.
IP: Logged
Jostler Posted on 08/12/2019 08:37

Ruiz v AJ predictions?
Great performance by AJ, good to see him change his style to get the job done. Though reading social media, you wouldnít think it. The amount of people calling it boring is unbelievable.

The problem with AJ is because heís quite a likeable guy, and often on programs like a league of their own, heís brought a lot of new fans to the sport, who maybe have expectations of what his fights should be like I.e knock someone out in 7.

I remember a similar reaction to the Joseph Parker fight. I was in a pub in Cheltenham and everyone around me was complaining, whereas I was loving the fact heíd boxed to a game plan to get the win.
IP: Logged
T1ffy Posted on 08/12/2019 11:22

Ruiz v AJ predictions?
The same was always said about Mayweather though, those idiots don't have a clue that's all.
IP: Logged
whatdoyoubench Posted on 08/12/2019 11:50

Ruiz v AJ predictions?
Mayweather was a truly elite boxer and watching him slip, counter and generally look invincible was fascinating.
Watching a poor boxer (in terms of technical boxing ability) stay out of range of a 20 stone slugger is not my idea of a masterclass.

But he got the win and for that he should be applauded.

Unfortunately for AJ he is still rigid from the waist up and although he can move his feet quicker than Ruiz his inability to slip a punch will see him come unstuck against fury and wilder. Not that we will see them fight any time soon!
IP: Logged
Humpty Posted on 08/12/2019 11:54

Ruiz v AJ predictions?
Not one expert in this thread of boxing experts predicted that result [:D]
IP: Logged
T1ffy Posted on 08/12/2019 15:20

Ruiz v AJ predictions?
Fury dances around all night long but has zero power to trouble Joshua. Joshua would walk through him and put him on his a$$.

Wilder has a punchers chance, but has been in with absolute nobodies apart from Fury who got robbed. AJ would KO the skinny basketballer.
IP: Logged
Chappy112 Posted on 08/12/2019 16:00

Ruiz v AJ predictions?
Still amazes me that people say this stuff about "zero power to trouble him" for Fury. When has anyone even walked through him considering he can't punch? No one ever has and it's for 2 reasons, he is an elite level boxer who can move and feint, confuse his opponents and also because he's a heavyweight, he doesn't hit like a bantamweight. He isn't the biggest puncher in the division but there are no Malignaggi's in heavyweight boxing, it hurts.
IP: Logged
Heam44 Posted on 08/12/2019 16:44

Ruiz v AJ predictions?
WBO order Usyk mandatory before June 4th. Will be interesting to see what happens.
IP: Logged
T1ffy Posted on 08/12/2019 18:18

Ruiz v AJ predictions?
Chappy - He slaps, very rarely any loaded punches. He's got a handful of KO's against puddings. AJ would lift him off his feet.
IP: Logged
Chappy112 Posted on 08/12/2019 19:00

Ruiz v AJ predictions?
Canít even be bothered debating with someone that dense 😂
IP: Logged
Nero Posted on 08/12/2019 19:53

Ruiz v AJ predictions?
Humpty - Look at my first post. I predicted it alright.
IP: Logged
boroskel65 Posted on 08/12/2019 20:01

Ruiz v AJ predictions?
The mobility that AJ showed yesterday will alter estimations of a Fury contest. He was becoming more Frankenstein-like in recent contests, but the Ruiz defeat made him go back to the drawing board with very good results. Fury would now not be facing a stiff Klitschko clone.
IP: Logged
Boromart Posted on 09/12/2019 00:46

Ruiz v AJ predictions?
spot on T1ffy, for all Tyson's ability to slip and slide, his offence is lacking real power. He has KO'd one person in 8 fights and 6 years. Most of his recent stoppages have been people quitting because they couldn't get near him and had taken lots of mediocre power punches. In fact, has Fury has put a top 20 heavyweight on the deck?

AJ would certainly be pretty confident that Fury wouldn't stop him, so would go to war, take a few more chances and his right is as dangerous as anyones. I'm not convinced Fury can keep AJ as quiet as AJ kept Ruiz, but that's just my opinion.
IP: Logged
Chappy112 Posted on 09/12/2019 08:43

Ruiz v AJ predictions?
But what youíre saying almost never happens. When does an elite level boxer just get walked through? It doesnít happen often. Punches hurt. Why didnít Klitschko simply walk through him? Why didnít Wilder walk through him? Both hit harder than Joshua. Why didnít Chisora trouble him considering that Chisoraís entire game is to walk through people?

Why didnít Floyd Mayweather, Bernard Hopkins or Andre Ward get walked through? None of them were even average punchers towards the end of their careers. In the heavyweight division Tyson Fury is those fighters. Now you might catch Fury and hurt him at some point like Wilder did but that was after 12 rounds of trying, it wasnít a case of ďwell this guy canít punch so Iíll just walk through himĒ, it was 12 rounds of getting out boxed by him before Wilder finally landed something.
IP: Logged
Humpty Posted on 09/12/2019 09:33

Ruiz v AJ predictions?
Fair play Nero. You did hedge yor bets though ;)
IP: Logged
GazC_MFC Posted on 09/12/2019 13:11

Ruiz v AJ predictions?
Chappy has outboxed a few here
IP: Logged
Boromart Posted on 09/12/2019 13:22

Ruiz v AJ predictions?
Chappy, what that Wilder fight told us was that Fury isn't invincible and his lack of power is a flaw that makes his fights often go the distance. The longer a fight goes the more closer to perfect he needs to be for a longer time.

The lack of true power is a clear chink in his armour. He will be beaten in his next 5 or 6 fights, because they will almost certainly be against top heavyweights and if you go 12 rounds vs a top 5 boxer he will almost certainly catch you at some point.
IP: Logged
Chappy112 Posted on 09/12/2019 13:38

Ruiz v AJ predictions?
So I'll ask again, why did the likes of Andre Ward, Floyd Mayweather and Bernard Hopkins never get walked through despite the "obvious chink in their armour" and "fights going the distance" which is some how being seen as a negative, no idea why.

It's not like I think Fury is invincible but at the minute he's the best heavyweight on the planet. Of course he can lose, I just don't think it will be vs Joshua. I think Wilder is more likely to beat him than Joshua is.

Wilder is the biggest puncher I've seen in my lifetime and caught Fury with a couple of huge shots and still couldn't put him away. Why are we to believe that Joshua, who has slower hands, slower feet and hits nowhere near as hard as Wilder will simply walk through Tyson Fury? It's nonsense.

Now if Joshua continues with the less bulky physique and continues to work on his weaknesses then he might have a chance but like I said before, lets see how he does against a mover with this new style. Joshua deserves all the credit in the world for doing what he did on Saturday because he showed for the first time that he can work on his flaws and adapt but lets not act like outboxing Andy Ruiz is a difficult task for a big and tall heavyweight. As soon as I saw the weigh in it was an easy fight and I said so in here, Andy Ruiz has incredibly slow feet already but then decided to come in over a stone heavier while AJ went the other way and lost weight, as long as AJ stayed disciplined, stuck to straight shots from the outside, refused to trade on the inside and had the stamina to do it for 12 rounds then he would win. But that's what I thought was impressive because he'd never shown that he could do that before except maybe against Parker. He is not now some master boxer but he has added something else to his game and that can only be good.
IP: Logged
Heam44 Posted on 09/12/2019 20:37

Ruiz v AJ predictions?
Just in case anyone missed it, Joshua has confirmed he did have issues (fatigue based illness) prior to the first Ruiz fight.
IP: Logged
T1ffy Posted on 10/12/2019 09:30

Ruiz v AJ predictions?
Wilder can punch but the guys he's put away are laughable. Definitely not the biggest puncher. His record is terrible if you actually look at who he has fought.

The 3 boxers you mentioned all hit hard, floyd was pin point accuracy. Fury simply doesn't have the power, that's why I think AJ would walk through it.
IP: Logged
Chappy112 Posted on 10/12/2019 09:42

Ruiz v AJ predictions?
Wilder is the biggest puncher in the division, itís not even remotely close.
IP: Logged
Calculus Posted on 10/12/2019 10:29

Ruiz v AJ predictions?
Joshua walk through Fury? We've got some experts on here. Why didn't any of Fury's last 30 opponents think of it?

I doubt Joshua vs Fury would ever happen, it'd be a nightmare match up for Joshua. It's one thing dancing around a 20 stone mess, but Fury's footwork and movement is on a different level to Joshua's or anyone else other than Usyk in the dvision.

Usyk vs Joshua will be very interesting if it happens. Difficult to call.
IP: Logged
Calculus Posted on 10/12/2019 10:32
Edited On: 10/12/2019 10:33
Ruiz v AJ predictions?
"Wilder can punch but the guys he's put away are laughable. Definitely not the biggest puncher. His record is terrible if you actually look at who he has fought."

Dear me. Who is the "biggest puncher" out of interest then?
IP: Logged
Chappy112 Posted on 10/12/2019 11:44

Ruiz v AJ predictions?
Usyk would definitely be a fight that could change my mind on the Fury fight. I think Joshua will knock Usyk out because of the size difference but if he really struggles until the knockout because of the movement then he won't beat Fury. Joshua has a big reach advantage over Usyk as well where as Fury has one over Joshua.

Also on the Fury being unable to punch, how did he manage to be 1 of only 3 people to stop the granite chinned Chisora? You don't stop Chisora if you have no power.
IP: Logged
T1ffy Posted on 10/12/2019 12:59

Ruiz v AJ predictions?
Erm.. have you looked at Furys last opponents?

Otto Wallin - who?
Tom Schwarz - Who?
Wilder - terrible boxer & Fury was robbed.
Pianeta - whos?
Seferi - who?
Klitschko - One of the greats but wasn't himself as confirmed.
Hammer - Who?

AJ is miles ahead of the above, that's why.

Let's have a look at wilder;

Ortiz - 40 year old
Breazeale - Joshua destroyed him in his 18th fight [B)]
Fury - Fury was robbed
Stiverne - 41 yer old pudding
Washington - who?
Arreloa - who?
Szilpilka - whos?
Duhuapas - who?

Let us know who you rate so highly & why [^]

Now AJ;
Ruiz - awkward and can taker a hit
Povetkin - aging but AJ was the first person to put him down
Parker - world champion & had never been beat
Takam - awkward
Klitschko - got up and KO'd him
Whyte - up there with the nest, no one else fancies him.

You said Wilder was the hardest hitter you've ever seen?! how old are you 12?

IP: Logged
Chappy112 Posted on 10/12/2019 14:12

Ruiz v AJ predictions?
Not really sure why you've took the time to list recent opponents, doesn't really have anything to do with what was being discussed also quite laughable the descriptions you've put next to some of them.

Wilder is pound for pound the hardest hitter I've ever seen yep, I stand by that. He's knocking men out cold that are 20-40lbs heavier than him, it isn't normal. Even if you want to say that his opponents have been poor which for the most part I agree, it's their reactions to getting hit by him.

To be honest if you don't think Wilder is the hardest hitter currently in the division then you don't really know what you're talking about but I think you've made that quite clear anyway.

IP: Logged
Boromart Posted on 10/12/2019 20:29

Ruiz v AJ predictions?
"Wilder is the biggest puncher in the division, itís not even remotely close."

Until he puts a top 20 boxer in his prime to sleep then it's difficult to judge. Many of his KOs have been outside the top 100, bums.

Top 20 boxers he has KO'd, Stiverne who was 39, Ortiz who was 40, Fury couldn't put him to sleep even though he hadn't fought for 3 years. That's it I think? Brezeale had dropped from top 20 but I accept that's probably the highest ranked boxer that isn't an old man.

IP: Logged
Heam44 Posted on 10/12/2019 20:37

Ruiz v AJ predictions?
As much as Iím an AJ fan and Wilder irritates the life out of me, I donít think there is any disputing that Wilder is the hardest hitter in the world. Certainly with regards to single punches.
IP: Logged
whatdoyoubench Posted on 10/12/2019 21:06

Ruiz v AJ predictions?
Genuine world class opponents:

Wilder: Fury
Joshua: Klitschko
Fury: Klitschko and Wilder

Furyís defat of Wlad is still the most significant victory In The heavyweight division amongst this era of fighters. Plus we all know he beat wilder.

Knocked the king of his throne
Beat wilder after 3 years inactivity

Yes his recent fights were rubbish but heís got the best CV out of 3 poor options
IP: Logged
Chappy112 Posted on 10/12/2019 21:27

Ruiz v AJ predictions?
"Until he puts a top 20 boxer in his prime to sleep then it's difficult to judge"

No it isn't. It really isn't. It doesn't matter who he has or hasn't knocked out, he is the hardest hitter in the heavyweight division, it's not really up for debate.

Nobody is saying that he knocks every good opponent out, he is a very flawed fighter who can be outboxed by someone if they have the ability to avoid his shots for 12 rounds. That has nothing to do with his punch power, it's unrivaled. How many significant punches did he land on Luis Ortiz? One, just one, after being outboxed for 7 rounds. No one else can put Luis Ortiz to sleep with one shot. The man was laid on the floor paralysed from one shot from a man 20lbs lighter than him.

Has Anthony Joshua ever done that to an opponent with one shot? In fact has he ever done that to an opponent with multiple shots? I don't remember it if so, much less a fighter of Ortiz or Stiverne's calibre.

AJ battered Breazeale around the ring for 7 rounds or whatever it was, did he put Breazeale to sleep? Nope, it was an accumulation that forced the stoppage. What did it take Wilder? One shot, again, the man was akip on the floor, paralysed from one shot who was 22lbs lighter than him.

So can we please stop this? It's ridiculous.
IP: Logged
T1ffy Posted on 11/12/2019 07:39

Ruiz v AJ predictions?
It does matter though, because they are absolute puddings. You can't class him as the hardest hitter just because he's knocking out donkeys. When he does it against a couple of the top 10 ranked then sure.

IP: Logged
GazC_MFC Posted on 11/12/2019 07:47

Ruiz v AJ predictions?
He put Ortiz on his backside twice without laying a glove on him for 2 fights. Same with fury.

Thereís a couple of top 10ís for you
IP: Logged
T1ffy Posted on 11/12/2019 08:06

Ruiz v AJ predictions?
As above, 40 year old Ortiz [xx(] & Fury was robbed.

It's like Barca hammering league 2 teams and saying how good they are [cr]
IP: Logged
Chappy112 Posted on 11/12/2019 08:16

Ruiz v AJ predictions?
T1ffy is either or the wind up or heís really stupid. I canít be bothered anymore.
IP: Logged
ThePiedPiper Posted on 11/12/2019 19:12

Ruiz v AJ predictions?
Just watched it back without an excited group of lads on the beer and Joshua boxed beautifully. He worked his jab all night, landed numerous right hands that very few fighters can withstand, used his lead left hook intelligently and his stamina looked the best Iíve seen from the boy. Ruiz is a dangerous man if you sit in the pocket and have a fight with him and Joshua boxed exactly how he needed to.

On a side note those american YouTube boxing channels are a set of bitter people. Joshua beats wilder with his technical superiority and lands big first. When he lands that one two he gave Ruiz in the 2nd on Wilder itís game over. If he ever fights Fury itís a lot more competitive than some on here would have you believe.
IP: Logged
Boromart Posted on 11/12/2019 21:27

Ruiz v AJ predictions?
whatdoyoubench, we can't say Wilder is world class until he beats a world class boxer, or even a top 5 boxer.

So Fury has beaten Klitschko and AJ has beaten Klitschko.

So you then look at the rest of their fights, and Joshua has beaten many top 10 heavyweights, and about 6 ex-champs. Wilder has I think beaten one champ and Fury one (two if you count beating Wilder). AJ has easily the best record of the three, Wilders is utterly padded, Fury is in between.
IP: Logged
Boromart Posted on 11/12/2019 21:29

Ruiz v AJ predictions?
It is up for debate, it's isn't up for debate that he has a hard punch, but THE hardest, well you could blow half of those over that he has hit so far.

IP: Logged
Boromart Posted on 11/12/2019 21:31
Edited On: 11/12/2019 21:33
Ruiz v AJ predictions?
GazC_MFC, Ortiz is 40 his punch resistance is not what it was 10 years ago, neither is his stamina. Fury, he hadn't fought in 3 years he was fighting at 80% and didn't put him to sleep, just stunned him for 8 seconds.

People that are declaring that Wilder is proven are probably the same ones that rank Tyson in the top 5 heavyweights of all time.....even though his record before incarceration was almost as padded as Wilders.
IP: Logged
ThePiedPiper Posted on 11/12/2019 21:55

Ruiz v AJ predictions?
Wilder is the biggest puncher in the division. Possibly the biggest puncher in the history of heavyweight boxing. I would say however that Stiverne was able to eat his right hand all night in the first fight. Didnít even touch the canvass if my memory serves. Wilder has also gone rounds with the likes of Molina, Spzilka, Washington, Etc so Surely youíd expect Joshua to go rounds? If you do give Joshua at least4 rounds with Wilder youíve got to imagine that he will hurt him in those rounds. Anyone who backs Wilder is simply saying they believe Wilder will knock Joshua out before Joshua knocks him out. I have to lean the other way. Wilder is ducking this fight for a reason. He or his advisors donít think he will win
IP: Logged
klaus00 Posted on 11/12/2019 22:04

Ruiz v AJ predictions?
Boromart claimed Breazeale would knock out Wilder. He's not worth paying attention to when it comes to boxing.
IP: Logged
Calculus Posted on 12/12/2019 07:44

Ruiz v AJ predictions?
Joshua is obviously the better boxer than Wilder and capable of hurting him, Wilder is also more than capable of putting him to sleep at any point in the fight.

Very hard to defend against for 12 rounds because of the weird angles his punches come in at. If he is putting Fury on his XXXXXX twice then youíd think it likely that Joshua is going down at some point.

Iíd be surprised if the fight ever happens, neither appear particularly keen on fighting each other.
IP: Logged
GazC_MFC Posted on 12/12/2019 07:54

Ruiz v AJ predictions?
Joshua vs wilder and fury are interesting fights.

Aj will have to find them both, the wonít stand in the middle of the ring like ruiz did. Wilder will move a lot, and I think he knocks aj out latish.

Personally I think fury toys with aj. Height and reach advantage and itíll take a flurry of punches from aj to knock fury out and I canít see it
IP: Logged
ThePiedPiper Posted on 13/12/2019 17:23

Ruiz v AJ predictions?
Anyone who watches this fight and dares to tell me Joshua has no chance is getting laughed at.

Link: Fury struggling
IP: Logged
whatdoyoubench Posted on 13/12/2019 17:29

Ruiz v AJ predictions?
Whatís this like a 20 year old Tyson fury with a record of 7 fights and 7 victories by KO?

IP: Logged
Previous Thread  |  Start New Thread  |  Top Of Board  |  Top Of Thread  |  Next Thread



Home  |Message Board  |  Top of Board  |  Login  |  Register


Copyright © 2008 to 2020 Fansonline.net Ltd

FansOnline.net Ltd
Unit 7
Brentnall Center
Gilkes Street
Middlesbrough
Cleveland
TS1 5AP
Fansonline Home | About Fansonline | Contact Fansonline | Advertise On Fansonline | Privacy Policy | TOS
10.0.166.103